Subject: Re: [PATCH net-next] net: usb: sr9700: stop lying about skb->truesize

From: [email-masked]
Date: Wed, 08 May 2024 02:10:29 +0000

Hello:

This patch was applied to netdev/net-next.git (main)
by Jakub Kicinski <[email-masked]>:

On Mon,  6 May 2024 14:39:39 +0000 you wrote:
> Some usb drivers set small skb->truesize and break
> core networking stacks.
> 
> In this patch, I removed one of the skb->truesize override.
> 
> I also replaced one skb_clone() by an allocation of a fresh
> and small skb, to get minimally sized skbs, like we did
> in commit 1e2c61172342 ("net: cdc_ncm: reduce skb truesize
> in rx path") and 4ce62d5b2f7a ("net: usb: ax88179_178a:
> stop lying about skb->truesize")
> 
> [...]

Here is the summary with links:
  - [net-next] net: usb: sr9700: stop lying about skb->truesize
    https://git.kernel.org/netdev/net-next/c/05417aa9c0c0

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html